---
title: "Get Azure Storage Files"
url: "https://developer.migros.ch/apis/formigros-prod-0/versions/faa90b75-6b09-429a-b360-2bb77556bb04/operations/getFromAzureStorage"
---

> Full API specification: https://developer.migros.ch/apis/formigros-prod-0/versions/faa90b75-6b09-429a-b360-2bb77556bb04.md

# Get Azure Storage Files

`GET` `/migros/forms/v1/{formPath}/storage/azure`

Operation ID: `getFromAzureStorage`

This will retrieve the files stored in the configured Azure storage provider.

## Path parameters

- `formPath` (string, required) - Form Alias

## Header parameters

- `x-jwt-token` (string, optional)

## Responses

- `200` - Get Azure Storage Files

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Formigros PROD
  version: 0.0.1
servers:
  - url: https://api.migros.ch
paths:
  /migros/forms/v1/{formPath}/storage/azure:
    get:
      description: This will retrieve the files stored in the configured Azure storage
        provider.
      operationId: getFromAzureStorage
      parameters:
        - description: Form Alias
          in: path
          name: formPath
          required: true
          schema:
            example: AmazingContactForm
            type: string
        - example: "{{token}}"
          in: header
          name: x-jwt-token
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                type: object
          description: Get Azure Storage Files
      summary: Get Azure Storage Files
      tags:
        - Submission API
```
